import { Query } from '@kevisual/query/query';
import fs from 'fs';
import path from 'path';

const __dirname = path.dirname(new URL(import.meta.url).pathname);
const query = new Query({
  url: 'http://localhost:9998/api/router',
});

const getList = async () => {
  const res = await query.post({
    path: 'dev-app',
    key: 'list',
  });
  const list = res.data;
  console.log(JSON.stringify(list, null, 2));
};
// await getList();

const addOne = async () => {
  const res = await query.post({
    path: 'dev-app',
    key: 'update',
    data: {
      title: 'vite test',
      description: 'test',
      // key: 'vite-demo',
      data: {
        code: fs.readFileSync(path.resolve(__dirname, './configs/vite-demo.ts'), 'utf-8'),
        type: 'script',
        cwd: '/Users/xion/kevisual/dev-app/simple/vite-demo',
        status: 'active',
        command: 'vite',
      },
    },
  });
  console.log(res);
};

// await addOne();

const updateOne = async () => {
  const updateData = {
    id: '6e83c9b1-f16d-4a67-ac53-480aaafcf4fb',
    data: {
      code: fs.readFileSync(path.resolve(__dirname, './configs/vite-demo.ts'), 'utf-8'),
      type: 'script',
      cwd: '/Users/xion/kevisual/dev-app/simple/vite-demo',
      status: 'active',
      command: 'vite',
    },
  };
  const res = await query.post({
    path: 'dev-app',
    key: 'update',
    data: updateData,
    force: true,
  });
  console.log(res);
};
// await updateOne();
const runOne = async (id: string) => {
  const res = await query.post({
    path: 'dev-app',
    key: 'run',
    id: id,
  });
  console.log(res);
};
await runOne('6e83c9b1-f16d-4a67-ac53-480aaafcf4fb');

const deleteOne = async (id: string) => {
  const res = await query.post({
    path: 'dev-app',
    key: 'delete',
    id,
  });
  console.log(res);
};
